Bug 1708641 (CVE-2019-6470) - CVE-2019-6470 dhcp: double-deletion of the released addresses in the dhcpv6 code leading to crash and possible DoS
Summary: CVE-2019-6470 dhcp: double-deletion of the released addresses in the dhcpv6 c...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-6470
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1641246 1704672 1704675 1708642
Blocks: 1708644
TreeView+ depends on / blocked
 
Reported: 2019-05-10 12:51 UTC by Marian Rehak
Modified: 2019-11-13 00:37 UTC (History)
14 users (show)

Fixed In Version: dhcp 4.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:21:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2060 None None None 2019-08-06 12:09:39 UTC
Red Hat Product Errata RHSA-2019:3525 None None None 2019-11-05 21:06:49 UTC

Description Marian Rehak 2019-05-10 12:51:17 UTC
Double-deletion of the released addresses in the dhcpv6 code leading to crash and possible DoS. This issue was introduced by a commit which fixes a bug in the ISC heap library.

Comment 1 Marian Rehak 2019-05-10 12:51:35 UTC
Created dhcp tracking bugs for this issue:

Affects: fedora-all [bug 1708642]

Comment 2 Doran Moppert 2019-05-15 06:13:42 UTC
This flaw is in the dhcp server code (binary package dhcp), client-side code is not affected.

Comment 5 Marian Rehak 2019-05-17 09:59:15 UTC
External References:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=896122

Comment 7 Riccardo Schirone 2019-05-21 15:05:26 UTC
Another reference:
https://bugzilla.redhat.com/show_bug.cgi?id=1641246

Comment 10 errata-xmlrpc 2019-08-06 12:09:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2060 https://access.redhat.com/errata/RHSA-2019:2060

Comment 11 Product Security DevOps Team 2019-08-06 19:21:04 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-6470

Comment 12 errata-xmlrpc 2019-11-05 21:06:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3525 https://access.redhat.com/errata/RHSA-2019:3525


Note You need to log in before you can comment on or make changes to this bug.